pcl::visualization::FPolygon2D Struct Reference

Class for Polygon. More...

`#include <pcl/visualization/pcl_painter2D.h>`

Inheritance diagram for pcl::visualization::FPolygon2D:

## Public Member Functions

| FPolygon2D (std::vector< float > info, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
void | draw (vtkContext2D *painter)
Public Member Functions inherited from pcl::visualization::Figure2D
| Figure2D (std::vector< float > info, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
| Figure2D (vtkPen *p, vtkBrush *b, vtkTransform2D *t)
void | applyInternals (vtkContext2D *painter)

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::Figure2D
std::vector< float > | info_
vtkPen * | pen_
vtkBrush * | brush_
vtkTransform2D * | transform_

## Detailed Description

Class for Polygon.

Definition at line 156 of file pcl_painter2D.h.

## Constructor & Destructor Documentation

pcl::visualization::FPolygon2D::FPolygon2D | ( | std::vector< float > | info,
|  | vtkPen * | p,
|  | vtkBrush * | b,
|  | vtkTransform2D * | t
| ) |  |

inline

Definition at line 159 of file pcl_painter2D.h.

## Member Function Documentation

void pcl::visualization::FPolygon2D::draw | ( | vtkContext2D * | painter | ) |

inline virtual

Reimplemented from pcl::visualization::Figure2D.

Definition at line 161 of file pcl_painter2D.h.

References pcl::visualization::Figure2D::applyInternals(), and pcl::visualization::Figure2D::info_.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/pcl_painter2D.h